<?php

namespace Modules\Area\Interfaces;

use Modules\Area\Models\Area;

interface AreaRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Area;
    public function update(array $request, Area $area): Area;
    public function destroy(Area $area): void;
    public function destroyAll(array $ids): void;
    public function restore(Area $area): void;
    public function restoreAll(array $ids): void;
}
